<?php
/**
 * $Id: settings.inc.php,v 1.25 2003/02/28 12:19:27 courou Exp $
 *
 * Author     : courou@users.sourceforge.net
 * Website    : http://allreponse.ath.cx
 *
 * Support    : http://sourceforge.net/projects/myphpmoney/
 * CVS        : http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/myphpmoney/
 */

 # --------------------------------------- INITIALISATION -----------------------------------------
  ob_start();                                                        ## OPEN THE BUFFER
  clearstatcache();                                                  ## CLEAR CACHE FILE
  ini_set('magic_quotes_runtime',   0);                              ## PHP.INI
  ini_set('magic_quotes_gpc',       1);                              ## PHP.INI
  ini_set('magic_quotes_sybase',    1);                              ## PHP.INI

  if (defined('__DOC__') && __DOC__ == 'YES')                        ## THE PATH FOR APPLICATION
      define('__NIV__','..'); else define('__NIV__','.');

 # ----------------------------------------- MYPHPMONEY  ------------------------------------------
  $_MPM = array();
  $_MPM['name']                = 'MyPhpMoney';                       ## Name of the Application and cookies
  $_MPM['version']             = '1.3RC2';                      ## Version of the Application

 # --------------------------------------- PHPLIB CLASS  ------------------------------------------
  $_PHPLIB = array();
  $_PHPLIB['libdir']           = __NIV__.'/../phplib/';              ## Directory PHPLIB

  $_MPM['proc_start']    = 0;                                        ## used by processed the start
  $_MPM['proc_nb']       = 0;                                        ## used by processed the number of request
  $_MPM['proc_sql']      = 0;                                        ## used by processed sql timer
  $_MPM['NbBug']         = 0;                                        ## used for submit the bug

   require($_PHPLIB['libdir'] . 'db_mysql.inc');                     ## Database
   require($_PHPLIB['libdir'] . 'ct_sql.inc');                       ## Data storage container
   require($_PHPLIB['libdir'] . 'session.inc');                      ## Session
   require($_PHPLIB['libdir'] . 'page.inc');                         ## Functions
   require($_PHPLIB['libdir'] . 'template.inc');                     ## Templates

  ## PHPLIB Connect
  class MPM_DB extends DB_Sql {
   var $Host                   = 'localhost';                        ## Host
   var $User                   = 'root';                             ## Login
   var $Password               = '';                                 ## Password
   var $Database               = 'MPM';                              ## Database

   var $classname              = 'MPM_DB';                           ## For object health
   var $Auto_Free              = 1;                                  ## automatic mysql_free_result()
   var $PConnect               = 1;                                  ## 1 to use persistent connections
   var $Seq_Table              = '';                                 ## non usage sequence table
   var $Halt_On_Error          = 'yes';                              ## 'yes' (halt with message),'no' (ignore errors quietly),
                                                                     ## 'report' (ignore errror, but warning)
   var $Debug                  = 0;                                  ## 1 for display the query sql.

    ## Create or not the table
    function MPM_DB() {
     Global $_MPM;

     ## Begin the timer for general process
     $tool = new Tools;
     $_MPM['proc_start'] = $tool->getmicrotime();

     ## Create the table
     if ($this->verif() == 2) include $_MPM['dir_tables'].''.$_MPM['table_lib'];
     if ($this->verif() == 1) include $_MPM['dir_tables'].''.$_MPM['table_php'];
    }

    ## For the Process SQL
    ## Same phplib (just add the timer)
    function query($Query_String) {
      Global $_MPM;

      $tool = new Tools;
      $time = $tool->getmicrotime();                                 ## Recup the time now

      if ($Query_String == '') return 0;
      if (!$this->connect()) { return 0; };                          ## we already complained in connect()
      if ($this->Query_ID) { $this->free();}                         ## New query, discard previous result.
      if ($this->Debug)
          printf("Debug: query = %s<br />\n", $Query_String);
          $this->Query_ID = @mysql_query($Query_String,$this->Link_ID);
          $this->Row   = 0;
          $this->Errno = mysql_errno();
          $this->Error = mysql_error();
      if (!$this->Query_ID) {
        $this->halt('Invalid SQL: '.$Query_String);
      }

       $_MPM['proc_nb'] ++;
       $_MPM['proc_sql'] += $tool->getmicrotime() - $time;           ## Incrementation du compteur de temps
    return $this->Query_ID;                                          ## Will return nada if it fails. That's fine.
    }

    ## error message
    function haltmsg($msg) {
     Global $_MPM;
       $form  = '<a href="'.$_MPM['file_install'].'">Click here</a>';
       if ($this->Errno != '' || $this->Error != '') {
         printf("<span class=\"menubold\">MySQL Error :</span><pre>%s(%s)</pre>\n", $this->Errno, $this->Error);
       }
         printf("<span class=\"menubold\">Database :</span><pre>%s</pre>\n", $msg);
         printf("<span class=\"menubold\">Installation Documentation :</span> %s <br /><br />\n", $form);
         printf("<span class=\"menubold\">Please contact the webmaster and report the exact error message.</span><div class=\"blockhr\"><hr /></div>\n")
       or die("\nSession halted.");
    }

    ## Verif if table name exist and verif if alter
    ## usage (int) accelerate !
    function verif() {
      Global $_MPM;

    mysql_connect($this->Host,$this->User,$this->Password);
    mysql_query("CREATE DATABASE IF NOT EXISTS ".$this->Database."");

        ## Phplib table exist
        if ($this->metatable($_MPM['table_phplib']) == 0) return (int) 2; ## (int) 2

        ## Alter the table < 1.2.3.1
        if ($this->metatable($_MPM['old_table_1']) == 1 || $this->metatable($_MPM['old_table_2'] == 1)) {
                $patch = __NIV__.'/../sql/migrate1.2.2.4-1.2.3.1.sql';
                $txt = 'You must apply the patch '.basename($patch).'<br />';
                $txt.= '<span class=\"menubold\">View the Patch File: </span><a href="'.$patch.'">Click here</a>';
        $this->halt($txt);
        return (int) 0; ## (int) 0
        }

        ## MPM table
        for ($i=0; $i < sizeof($_MPM['table']); $i++) {
            if ($this->metatable($_MPM['table'][$i]) == 0) {
            return (int) 1; ## (int) 1
            }
        }
    return;
    }

    ## verif if table exist (No error return if usage)
    ## same function phplib -> metadata($table,false)
    ## usage (int) accelerate !
    ## @param $table = the table name
    function metatable($table) {
         $Ressource_Tables = mysql_list_tables($this->Database);
            while (list($temp) = mysql_fetch_array($Ressource_Tables)) {
                   if (strtolower($table) == strtolower($temp)) {
                   return (int) 1;
                   }
            }
    return (int) 0;
    mysql_close();
    }
  } ## end extends DB_Sql

 # ------------------------------------------ REPERTORY  -----------------------------------------

   $_MPM['dir_screen']         = __NIV__.'/images/screenshot/';      ## Image Screenshot directory
   $_MPM['dir_country']        = __NIV__.'/images/country/';         ## Image Country directory
   $_MPM['dir_change']         = __NIV__.'/../CHANGES/';             ## Changelog directory
   $_MPM['dir_template']       = __NIV__.'/templates/';              ## Template directory
   $_MPM['dir_faq']            = __NIV__.'/../FAQ/';                 ## FAQ directory
   $_MPM['dir_image']          = __NIV__.'/images/';                 ## Image directory
   $_MPM['dir_tables']         = __NIV__.'/tables/';                 ## Table directory
   $_MPM['dir_config']         = __NIV__.'/config/';                 ## Configurate directory
   $_MPM['dir_class']          = __NIV__.'/class/';                  ## Class directory
   $_MPM['dir_graph']          = __NIV__.'/graph/';                  ## Image directory
   $_MPM['dir_style']          = __NIV__.'/style/';                  ## Configurate directory
   $_MPM['dir_lang']           = __NIV__.'/lang/';                   ## Lang directory
   $_MPM['dir_doc']            = __NIV__.'/doc/';                    ## Configurate directory
   $_MPM['dir_function']       = __NIV__.'/inc/';                    ## Function directory
   $_MPM['dir_dump']           = 'dump/';                            ## Dump directory
   $_MPM['dir_font']           = 'fonts/';                           ## Font directory

  # ------------------------------------- FILE OF APPLICATION --------------------------------------

   $_MPM['file_credit']        = __NIV__.'/../CREDITS';              ## Credit file
   $_MPM['file_licence']       = __NIV__.'/../LICENCE';              ## Licence file
   $_MPM['file_install']       = __NIV__.'/../INSTALL';              ## Install file
   $_MPM['file_readme']        = __NIV__.'/../README';               ## Readme file
   $_MPM['file_set']           = 'settings.inc.php';                 ## File for the Settings
   $_MPM['file_calculate']     = 'calculate.php';                    ## calculate file
   $_MPM['file_setup']         = 'setup.inc.php';                    ## File for the Setup
   $_MPM['file_camenbert']     = 'camembert.php';                    ## graph (simulate camenbert)
   $_MPM['file_stylphp']       = 'dynamique.php';                    ## Dynamique Javascript for (php and Javascript)
   $_MPM['file_var']           = 'vars.inc.php';                     ## Vars and define()
   $_MPM['file_listing']       = 'listing.php';                      ## listing file
   $_MPM['file_account']       = 'account.php';                      ## account file
   $_MPM['file_all']           = 'general.php';                      ## graph (home graphique)
   $_MPM['file_faq_default']   = 'FAQ_README';                       ## Default file for FAQ
   $_MPM['file_phpdoc']        = 'phpdoc.php';                       ## Display the phpdoc
   $_MPM['file_css']           = 'common.css';                       ## Style css for global application
   $_MPM['file_common']        = 'common.js';                        ## Common Javascript
   $_MPM['file_excel_c']       = 'chart.php';                        ## excel chart file
   $_MPM['file_login']         = 'login.php';                        ## account file
   $_MPM['file_excel_d']       = 'dump.php';                         ## excel data file
   $_MPM['file_stylang']       = 'lang.php';                         ## Dynamique Javascript for language
   $_MPM['file_md5']           = 'md5.js';                           ## md5 Javascript
   $_MPM['file_faq_lang']      = 'FAQ_';                             ## Lang file for FAQ

 # ------------------ BECAREFUL IF CHANGE MODIFIED TOO 'IMG_ALT' - 'IMG_ALT_NAV' ------------------

   $_MPM['http']               = array();
   $_MPM['http'][0]            = 'index.php';                        ## For display the home
   $_MPM['http'][1]            = 'book.php';                         ## For display the good book
   $_MPM['http'][2]            = 'calendar.php';                     ## For display calendar
   $_MPM['http'][3]            = 'operate.php';                      ## For display the third and part
   $_MPM['http'][4]            = 'simulate.php';                     ## For display the simulate
   $_MPM['http'][5]            = 'save.php';                         ## For display the save
   $_MPM['http'][6]            = 'doc/index.php';                    ## For display the documentation
   $_MPM['http'][7]            = 'option.php';                       ## For display the option and config
   $_MPM['http'][8]            = 'login.php?op=Signup';              ## For the form (logging)
   $_MPM['http'][9]            = 'login.php?op=Logout';              ## For the loggout
   $_MPM['http'][10]           = 'portfolio.php';                    ## For the quote
   $_MPM['http'][11]           = 'balance.php';                      ## For the balance (bilan)

 # --------------------------------------- TEMPLATES ----------------------------------------------

  ## PHPLIB Template
  class MPM_Template extends Template {

    var $classname             = 'MPM_Template';                     ## For object health
    var $unknowns              = 'remove';                           ## How to output variable tags with no assigned value in templates.
    var $halt_on_error         = 'yes';                              ## 'yes'      = execution is halted
                                                                     ## 'report'   = execution continues by returning 'false'
                                                                     ## 'no'       = execution resumes reporting 'false'

    var $debug                 = 0;                                  ## ENABLE OR DISABLE THE DEBUG VALUE
                                                                     ## 0 = no debugging
                                                                     ## 1 = debug variable assignments
                                                                     ## 2 = debug calls to get variable
                                                                     ## 4 = debug internals

    var $root;                                                       ## The base directory from template files

    ## Begin Template
    function MPM_Template() {
      Global $_MPM;
          $this->root          = $_MPM['dir_template'];
      }

    ## correctif courou probleme de quotes (cause inconnu)
    ## du 25/07/2002
    function subst($varname) {
      $varvals_quoted = array();
      if ($this->debug & 4) {
        echo "<p><span class=\"menubold\">subst:</span> varname = $varname</p>\n";
      }
      if (!$this->loadfile($varname)) {
        $this->halt("subst: unable to load $varname.");
        return false;
      }

      // quote the replacement strings to prevent bogus stripping of special chars
      reset($this->varvals);
      while(list($k, $v) = each($this->varvals)) {
      //$varvals_quoted[$k] = preg_replace(array('/\\\\/', '/\$/'), array('\\\\\\\\', '\\\\$'), $v);
        $varvals_quoted[$k] = $v;
      }

      $str = $this->get_var($varname);
      $str = preg_replace($this->varkeys, $varvals_quoted, $str);
      return $str;
    }

    ## Not accept the modif for 1.12 because the showsource is bad
    ## correctif courou du 25/06/2002
    function set_block($parent, $varname, $name = "") {
      if ($this->debug & 4) {
        echo "<p><span class=\"menubold\">set_block:</span> parent = $parent, varname = $varname, name = $name</p>\n";
      }
      if (!$this->loadfile($parent)) {
        $this->halt("set_block: unable to load $parent.");
        return false;
      }
      if ($name == "") {
        $name = $varname;
      }

      $str = $this->get_var($parent);
          ## $reg = "/[ \t]*<!--\s+BEGIN $varname\s+-->\s*?\n?(\s*.*?\n?)\s*<!--\s+END $varname\s+-->\s*?\n?/sm";
      $reg = "/<!--\s+BEGIN $varname\s+-->(.*)\s*<!--\s+END $varname\s+-->/sm";
      preg_match_all($reg, $str, $m);
      $str = preg_replace($reg, "{" . "$name}", $str);
          ## $this->set_var($varname, $m[1][0]);
      if (is_array($m[1]) && isset($m[1][0])) $this->set_var($varname, $m[1][0]);
      $this->set_var($parent, $str);
      return true;
    }

  }

 # --------------------------------------- SESSION ------------------------------------------------

  $_MPM['sess_expire']         = 20 * 60;                            ## Time for the session Logout (20 minutes)
  $_MPM['time_expire']         = date('U');                          ## Unix Time for the session

  ## PHPLIB Session Storage
  class MPM_CT extends CT_Sql {
    var $database_class        = 'MPM_DB';                           ## For object health
    var $lifetime              = 0;                                  ## 0 = do session cookies, else minutes
    var $database_table;                                             ## Table for session storage
    var $gc_time;                                                    ## Purge all session data.

    ## Begin the connect
    function MPM_CT() {
     Global $_MPM;
        $this->database_table  = $_MPM['table_phplib'];
        $this->gc_time         = $_MPM['sess_expire'] / 60;          ## Purge all session 20 minutes.
    }
  } ## end extends CT_Sql

  ## PHPLIB Session Support
  class MPM_Session extends Session {
    var $classname             = 'MPM_Session';                      ## For object health
    var $lifetime              = 0;                                  ## Life of session
    var $magic                 = 'fkIsNotEqualToIK';                 ## A string to randomize the session
    var $mode                  = 'cookie';                           ## Use cookie before GET
    var $fallback_mode         = 'get';                              ## GET is our fallback mode in case cookies are not present
    var $that_class            = 'MPM_CT';                           ## The db object to use
    var $block_alien_sid       = true;                               ## do not accept IDs in URL for session creation many minutes.
    var $gc_time;                                                    ## Purge all session data.
    var $cookiename;                                                 ## defaults to classname

    ## Begin the session
    function MPM_Session() {
     Global $_MPM;
        $this->cookiename     = $_MPM['name'];
        $this->gc_time        = $_MPM['sess_expire'] / 60;           ## Purge all session 20 minutes.
    }
  } ## end extends Session

 # --------------------------------- INCLUDE ALL THE CLASS FILES ----------------------------------

   require($_MPM['dir_class'] . 'calendar.class');                   ## Calendar
   require($_MPM['dir_class'] . 'debug.class');                      ## Debug
   require($_MPM['dir_class'] . 'graph.class');                      ## Graph
   require($_MPM['dir_class'] . 'htaccess.class');                   ## Htaccess
   require($_MPM['dir_class'] . 'language.class');                   ## Language
   require($_MPM['dir_class'] . 'phpdoc.class');                     ## Phpdoc
   require($_MPM['dir_class'] . 'tools.class');                      ## Tools
   require($_MPM['dir_class'] . 'phpquote.class');                   ## Phpquote
   require($_MPM['dir_class'] . 'portfolio.class');                  ## Portfolio

 # --------------------- DEBUG THE VARIABLE  (ONLY OUTPUT TO SCREEN) ------------------------------

  ## Debug
  class MPM_Debug extends debug {
    var $mode_debug            = 'produc';                           ## Debug mode variable
                                                                     ## 'produc'  = DISABLE (Dsactiv)
                                                                     ## 'posget'  = POST AND GET
                                                                     ## 'devels'  = DISPLAY ALL POST GET SESSION COOKIES LANG
                                                                     ## 'expert'  = DISPLAY ALL VARIABLE FOR APPLICATION
                                                                     ## 'global'  = DISPLAY ALL GLOBALS VARIABLE
  }

 # ---------------------------------------- LANGUAGE CLASS ----------------------------------------

  $_MPM['file_lang'] = 'english.inc.php';                            ## Your default language (Not obligatory)

  ## Language
  class MPM_Languages extends Languages {
    var $repertory_languages;                                        ## Directory of language (ADD SLASH END)
    var $default_file_include;                                       ## Name of default file
    var $file_settings;                                              ## The file where is the extends (this file)

    ##Instance class
    function MPM_Languages() {
      Global $_MPM;
       $this->repertory_languages   = $_MPM['dir_lang'];
       $this->default_file_include  = $_MPM['file_lang'];
       $this->file_settings         = __FILE__;
     $this->Browser_Languages();
     }

    ## error message
    function halt($msg) {
      printf("Language : <br /><br /><span class=\"menubold\"> %s </span><br />\n", $msg)
    or die("\nSession halted.");
    }
  }

 # ------------------------------------- CALENDAR (SHUFFLE) ---------------------------------------

  ## Calendar (Shuffle)
  class MPM_Calendar extends Calendar {
    var $startDay              = 1;                                  ## The start day - Sunday = 0.
    var $startMonth            = 1;                                  ## The start month - January = 1
    var $number                = 3;                                  ## Display x letters
                                                                     ## for the day or/and month
    ## Add the link for the url
    ## @param $month     = the month
    ## @param $year      = the year
    function getCalendarLink($month, $year) {
        return htmlspecialchars($GLOBALS['_SERVER']['PHP_SELF']."?mois=$month&annee=$year");
      }

    ## Add the link for the year
    ## @param $month     = the month
    ## @param $year      = the year
    function getCalendarYear($year) {
        return htmlspecialchars($GLOBALS['_SERVER']['PHP_SELF']."?annee=$year&T_MOIS=ON");
      }
  } ## end of class ExtendsCalendar()

 # ------------------------------- INCLUDE ALL THE FUNCTION FILES ---------------------------------

   require($_MPM['dir_function'] . 'function.inc');                  ## General function
   require($_MPM['dir_function'] . 'sql.inc');                       ## Sql function
   require($_MPM['dir_function'] . 'xhtml.inc');                     ## Xhtml function
   require($_MPM['dir_function'] . 'xml.inc');                       ## Xml function

 # ------------------------------------ NAME OF ALL IMAGE FILE ------------------------------------

   $_MPM['img_invisible']      = 'invisible.gif';                    ## Image invisible
   $_MPM['img_barre']          = 'progress.gif';                     ## Image For Waiting
   $_MPM['img_favicon_i']      = 'favicon.ico';                      ## Image favicon ico
   $_MPM['img_favicon_p']      = 'favicon.png';                      ## Image favicon png
   $_MPM['img_concept']        = 'concept.gif';                      ## Image concept
   $_MPM['img_grabs_1']        = 'screen1.gif';                      ## Image for display the screen grab
   $_MPM['img_grabs_2']        = 'screen2.gif';                      ## Image for display the screen grab
   $_MPM['img_grabs_3']        = 'screen3.gif';                      ## Image for display the screen grab
   $_MPM['img_grabs_4']        = 'screen4.gif';                      ## Image for display the screen grab
   $_MPM['img_grabs_5']        = 'screen5.gif';                      ## Image for display the screen grab
   $_MPM['img_grabs_6']        = 'screen6.gif';                      ## Image for display the screen grab
   $_MPM['img_grabs_7']        = 'screen7.gif';                      ## Image for display the screen grab
   $_MPM['img_grabs_8']        = 'screen8.gif';                      ## Image for display the screen grab
   $_MPM['img_grabs_9']        = 'screen9.gif';                      ## Image for display the screen grab
   $_MPM['img_circle']         = 'cercle.gif';                       ## Image circle
   $_MPM['img_xhtml']          = 'xhtml.gif';                        ## Image for validate the XHTML
   $_MPM['img_css']            = 'css.gif';                          ## Image for validate the CSS
   $_MPM['img_source']         = 'source.gif';                       ## Image for view source
   $_MPM['img_excel']          = 'excel.gif';                        ## Image Excel
   $_MPM['img_euro']           = 'euros.gif';                        ## Image Euro
   $_MPM['img_deco']           = 'decos.gif';                        ## Image triangle
   $_MPM['img_box']            = 'boite.gif';                        ## Image box
   $_MPM['img_loupe']          = 'loupe.gif';                        ## Image loupe
   $_MPM['img_top']            = 'haut.gif';                         ## Image Top
   $_MPM['img_logo']           = 'logo.jpg';                         ## Image for logo
   $_MPM['img_menu']           = 'logo.gif';                         ## Image for the menu (print...)
   $_MPM['img_below']          = 'bas.gif';                          ## Image Below
   $_MPM['img_valide_0']       = 'non.gif';                          ## Image after validation
   $_MPM['img_valide_1']       = 'oui.gif';                          ## Image before valiation
   $_MPM['img_background']     = 'background.gif';                   ## Image background
   $_MPM['img_mouse']          = 'cursor.ani';                       ## Image mouse
   $_MPM['help_below']         = "help_bas.gif";                     ## Image for help window
   $_MPM['help_top']           = "help_haut.gif";                    ## Image for help window
   $_MPM['help_left']          = "help_gauche.gif";                  ## Image for help window
   $_MPM['help_right']         = "help_droite.gif";                  ## Image for help window
   $_MPM['help_reduit']        = "help_reduit.png";                  ## Image for help window
   $_MPM['help_open']          = "help_open.png";                    ## Image for help window
   $_MPM['help_close']         = "help_close.png";                   ## Image for help window

 # ---------------------------------- TEMPLATES FILE NAME -----------------------------------------

  $_MPM['templfile']           = array
  (
    'FILE_1'                   => 'header.tpl',                      ## HEADER FOR ALL FILE
    'FILE_2'                   => 'menu_calendar_left.tpl',          ## THE CALENDAR DISPLAY
    'FILE_3'                   => 'form_book_listing_simple.tpl',    ## DISPLAY LISTING FOR ACCOUNT (SIMPLE)
    'FILE_4'                   => 'form_book_listing_double.tpl',    ## DISPLAY LISTING FOR ACCOUNT (DOUBLE)
    'FILE_5'                   => 'footer.tpl',                      ## FOOTER FOR ALL FILE
    'FILE_6'                   => 'form_new_user.tpl',               ## FORM FOR ADD THE NEWS USER ACCOUNT
    'FILE_7'                   => 'form_login.tpl',                  ## FORM FOR FIRST (FILE INDEX.PHP)
    'FILE_8'                   => 'menu_home.tpl',                   ## FORM FOR DISPLAY THE GRAPHIQUE (INDEX.PHP)
    'FILE_9'                   => 'process.tpl',                     ## FOR DISPLAY THE PROCESS SQL AND TOTAL
    'FILE_10'                  => 'menu_helper.tpl',                 ## DISPLAY THE HELP MENU
    'FILE_11'                  => 'xml.tpl',                         ## FOR XML CODE
    'FILE_12'                  => 'body_calculate.tpl',              ## FOOTER FOR CALCULATE
    'FILE_13'                  => 'mysql_save.tpl',                  ## DISPLAY THE DUMP SQL
    'FILE_14'                  => 'header_simulation.tpl',           ## HEADER FOR SIMULATE
    'FILE_15'                  => 'noscript.tpl',                    ## REDIRECT FOR JAVASCRIPT NO ACTIVATE
    'FILE_16'                  => 'opt_simulation_1.tpl',            ## DISPLAY THE AMORTISSEMENT BUTTON
    'FILE_18'                  => 'form_simulation_2.tpl',           ## FORM FOR CALCUL THE SIMULATE
    'FILE_19'                  => 'form_simulation_3.tpl',           ## DISPLAY THE RESULT FOR AMORTISSEMENT
    'FILE_20'                  => 'js_simulation.tpl',               ## JS VERIF FOR THE FORM FOR SIMULATE
    'FILE_22'                  => 'js_simulation_1.tpl',             ## OPEN THE POPUP AND CLOSE THE POPUP FOR SIMULATE
    'FILE_23'                  => 'header_save.tpl',                 ## HEADER FOR SAVE
    'FILE_26'                  => 'form_option_1.tpl',               ## BEGIN OPTION FOR OPTION AND CONFIG
    'FILE_27'                  => 'form_option_2.tpl',               ## END OPTION FOR OPTION AND CONFIG
    'FILE_28'                  => 'opt_option.tpl',                  ## SEARCH IF WINDOWS OR UNIX SYSTEM
    'FILE_29'                  => 'form_option_3.tpl',               ## DISPLAY THE FORM FOR PROTECT HTACCESS
    'FILE_30'                  => 'opt_option_text.tpl',             ## DISPLAY THE SIMPLE MESSAGE -- NECESSARY FOR DHTML EFFECT
    'FILE_31'                  => 'form_option_password.tpl',        ## FORM FOR MODIF THE PASSWORD FOR USER
    'FILE_32'                  => 'form_option_file.tpl',            ## FORM FOR OPEN THE DUMP
    'FILE_33'                  => 'form_select_third.tpl',           ## FORM FOR THE THIRD AND PART
    'FILE_34'                  => 'js_message.tpl',                  ## DISPLAY THE SIMPLE JS MESSAGE
    'FILE_35'                  => 'header_third_part_simple.tpl',    ## HEADER FOR THIRD PART (SIMPLE)
    'FILE_36'                  => 'form_add_account.tpl',            ## FORM FOR ADD THE NEWS OPERATION FOR ACCOUNT
    'FILE_38'                  => 'form_news_third.tpl',             ## FORM FOR NEWS THIRD
    'FILE_37'                  => 'left_menu_end.tpl',               ## CLOSE TABLE FOR LEFT_MENU.TPL
    'FILE_39'                  => 'form_news_part.tpl',              ## FORM FOR NEWS PART (DOUBLE)
    'FILE_40'                  => 'header_third_part_double.tpl',    ## HEADER FOR THIRD PART
    'FILE_41'                  => 'form_opt_third_1.tpl',            ## CONDITION FOR BUTTON SUBMIT FOR THIRD PART
    'FILE_42'                  => 'form_opt_third_2.tpl',            ## CONDITION FOR BUTTON SUBMIT FOR THIRD PART
    'FILE_43'                  => 'form_third_submit.tpl',           ## CONDITION FOR BUTTON SUBMIT FOR THIRD PART
    'FILE_44'                  => 'form_rename_third_part.tpl',      ## FORM FOR RENAME THE THIRD AND THE PART
    'FILE_45'                  => 'form_account_simple.tpl',         ## DISPLAY THE FORM FOR ACCOUNT (SIMPLE)
    'FILE_46'                  => 'footer_end.tpl',                  ## FOR CLOSE THE XHTML AND THE RIGHT MENU
    'FILE_48'                  => 'opt_book_listing.tpl',            ## FORM FOR REDIRECT TO GOOD BOOK (POST METHODE)
    'FILE_49'                  => 'opt_book_listing_1.tpl',          ## FORM FOR MODIF ACCOUNT (FILE GOOD_BOOK.PHP)
    'FILE_50'                  => 'form_book_add_account.tpl',       ## FORM FOR ADD THE NEW ACCOUNT (FILE GOOD_BOOK.PHP)
    'FILE_51'                  => 'below.tpl',                       ## DISPLAY THE BELOW
    'FILE_52'                  => 'top.tpl',                         ## DISPLAY THE TOP
    'FILE_53'                  => 'js_confirm.tpl',                  ## MESSAGE JS CONFIRM AND REDIRECT
    'FILE_54'                  => 'form_account_double.tpl',         ## DISPLAY THE FORM FOR ACCOUNT (DOUBLE)
    'FILE_55'                  => 'form_select_all.tpl',             ## DISPLAY A SELECT FOR DATE AND ACCOUNT
    'FILE_56'                  => 'left_menu.tpl',                   ## BEGIN MENU LEFT
    'FILE_57'                  => 'user_config.tpl',                 ## PERSONNEL CONFIG FOR USER
    'FILE_58'                  => 'js_redirect.tpl',                 ## REDIRECT JS
    'FILE_59'                  => 'select_graph.tpl',                ## DISPLAY A BALISE IMG TAG FOR THE GRAPHIQUE
    'FILE_61'                  => 'form_calendar_view_s.tpl',        ## VERIF THE OPERATION FOR CALENDAR (SIMPLE)
    'FILE_62'                  => 'form_calendar_view_d.tpl',        ## VERIF THE OPERATION FOR CALENDAR (DOUBLE)
    'FILE_63'                  => 'form_calendar_display_s.tpl',     ## DISPLAY THE OPERATION FOR CALENDAR (SIMPLE)
    'FILE_64'                  => 'form_calendar_display_d.tpl',     ## DISPLAY THE OPERATION FOR CALENDAR (DOUBLE)
    'FILE_65'                  => 'form_calendar_add.tpl',           ## FORM FOR ADD THE NEW OPERATION FOR CALENDAR
    'FILE_66'                  => 'logo.tpl',                        ## TOP MENU WHERE LOGO
    'FILE_67'                  => 'menu_doc_left.tpl',               ## LEFT MENU FOR DOC
    'FILE_68'                  => 'copyright.tpl',                   ## COPYRIGHT FOR THE DOC
    'FILE_69'                  => 'doc_home.tpl',                    ## HOME FOR THE DOCUMENTATION (FRAME RIGHT)
    'FILE_70'                  => 'doc_concept.tpl',                 ## CONCEPT FOR THE DOCUMENTATION (FRAME RIGHT)
    'FILE_71'                  => 'doc_grab.tpl',                    ## SCREEN GRAB FOR THE DOCUMENTATION (FRAME RIGHT)
    'FILE_72'                  => 'doc_setup.tpl',                   ## SETUP EXPLAIN FOR THE DOCUMENTATION (FRAME RIGHT)
    'FILE_73'                  => 'doc_phpdoc.tpl',                  ## PHPDOC THE DOCUMENTATION (FRAME RIGHT)
    'FILE_75'                  => 'conver.xtpl',                     ## FOR THE XML FILE
    'FILE_750'                 => 'phpdoc.xsl',                      ## FILE FOR XSL CODE
    'FILE_76'                  => 'form_opt_lang.tpl',               ## FOR THE CHANGE THE LANGUAGE OPTION
    'FILE_760'                 => 'form_opt_lang.tpl',               ## FOR THE CHANGE THE LANGUAGE OPTION
    'FILE_77'                  => 'js_add_lang.tpl',                 ## FOR DOWNLOAD THE NEWS LANG
    'FILE_78'                  => 'phpdoc.tpl',                      ## FOR THE PHPDOC CLASS
    'FILE_79'                  => 'xhtml.tpl',                       ## FOR THE XHTML LOGO AND VALIDATION
    'FILE_80'                  => 'show.tpl',                        ## SHOW SOURCE HIGHT
    'FILE_81'                  => 'form_third_part_simple.tpl',      ## DISPLAY THE RESULT FOR THIRD PART (SIMPLE)
    'FILE_82'                  => 'form_third_part_double.tpl',      ## DISPLAY THE RESULT FOR THIRD PART (DOUBLE)
    'FILE_83'                  => 'portfolio_main.tpl',              ## PORTFOLIO MAIN
    'FILE_84'                  => 'portfolio_single.tpl',            ## PORTFOLIO SINGLE
    'FILE_85'                  => 'portfolio_narrow.tpl',            ## PORTFOLIO NARROW
    'FILE_86'                  => 'portfolio_wide.tpl',              ## PORTFOLIO WIDE
    'FILE_87'                  => 'bilan_simple.tpl',                ## FOR THE BILAN
    'FILE_88'                  => 'bilan_double.tpl',                ## FOR THE BILAN
    'FILE_89'                  => 'bilan_main.tpl',                  ## FOR THE BILAN (SELECT YEAR AND DAY)
    'FILE_90'                  => 'bilan_display_simple.tpl',        ## FOR THE BILAN DETAILS SIMPLE
    'FILE_91'                  => 'bilan_display_double.tpl'         ## FOR THE BILAN DETAILS DOUBLE
 );

 # ---------------------------- XML FILE FOR THE TAUX MONETAIRE -----------------------------------

   $_MPM['export_local']       = __NIV__.'/export/local.xml';        ## Local file for XML
   $_MPM['export_original']    = __NIV__.'/export/original.xml';     ## Local file for XML (original)
   $_MPM['cac40']              = __NIV__.'/export/cac40.txt';        ## Something symbol for bourse

 # ----------------------------- NAME NO TRANSLATE OF APPLICATION ---------------------------------

   $_MPM['translate_acces']    = 'Use Encryption';                   ## Message for md5 encrypt
   $_MPM['translate_cvs']      = 'C.V.S';                            ## CVS name
   $_MPM['translate_phpdoc']   = 'Phpdoc';                           ## PhpDoc name
   $_MPM['translate_mail']     = 'Mailing List';                     ## Mailing List
   $_MPM['translate_email']    = 'myphpmoney-list@users.sourceforge.net?subject=subscribe';## Mailing List

# ------------------------------- HEADER INFORMATION (METAG - TAG) --------------------------------

   $_MPM['header_PRAGMA']      = 'no-cache';                         ## HTTP/1.0
   $_MPM['header_AUTHOR']      = 'Courou';                           ## Author
   $_MPM['header_DUMP_WEB']    = 'http://allreponse.ath.cx';         ## Url allreponse
   $_MPM['header_MAIL']        = 'courou@users.sourceforge.net';     ## Email author
   $_MPM['header_ROBOTS']      = 'None';                             ## no for robot (application)
   $_MPM['header_ROBOTS_D']    = 'index | all | follow';             ## yes for robot (documentation)
   $_MPM['header_COPYLEFT']    = "Copyright &copy; 2001 - %s";       ## Copyleft
   $_MPM['header_DESIGNEUR']   = 'Courou -- Allreponse';             ## Designer
   $_MPM['header_GENERATOR']   = 'Textpad';                          ## Generator
   $_MPM['header_VERSION']     = 'Release Version';                  ## Version name
   $_MPM['header_CACHE-1']     = 'no-cache,no-store,';               ## HTTP/1.1
   $_MPM['header_CACHE-1']    .= 'must-revalidate,proxy-revalidate'; ## HTTP/1.1
   $_MPM['header_CACHE-2']     = 'pre-check=0,post-check=0, ';       ## HTTP/1.1
   $_MPM['header_CACHE-2']    .= 'max-age=0,s-maxage=0';             ## HTTP/1.1

 # ---------------------- NAME OF TABLE (MUST HAVE A SEPARATOR '_') ------------------------------

   $_MPM['table_php']          = 'table.php';                        ## Create the table (file php)
   $_MPM['table_lib']          = 'phplib.php';                       ## Create the table (phplib)

   ## Change name possibility only for first installation
   ## A dump the data storage is need (If after installation you change the name )
   ##
   ## IMPORTANT : TABLE NAME (MUST HAVE A SEPARATOR '_')

   $_MPM['old_table_1']        = 'MPM_operate';                      ## Old Table name for storage the operation
   $_MPM['old_table_2']        = 'MPM_account';                      ## Old Table name for storage the account

   $_MPM['table']              = array();
   $_MPM['table'][0]           = 'MPM_part';                         ## storage the part
   $_MPM['table'][1]           = 'MPM_op';                           ## storage the operation
   $_MPM['table'][2]           = 'MPM_acct';                         ## storage the account
   $_MPM['table'][3]           = 'MPM_user';                         ## storage the user information
   $_MPM['table'][4]           = 'MPM_third';                        ## storage the third
   $_MPM['table'][5]           = 'MPM_portfolio';                    ## storage the personnal quotes
   $_MPM['table'][6]           = 'MPM_order';                        ## storage de ASC DESC choice
   $_MPM['table'][7]           = 'MPM_quotes';                       ## storage the quotes

   $_MPM['table_phplib']       = 'active_sessions';                  ## storage the session (PHPLIB name)

# ------------------------------------------- DATE FORMAT -----------------------------------------

   $_MPM['date_expire']        = date('D, d M Y H:i:s');             ## Expire for the header
   $_MPM['date_dump']          = date('j F Y  h:i s');              ## For the dump sql
   $_MPM['date_modif']         = date('d/m/Y  H:i:s',getlastmod()); ## Last modif for the documentation
   $_MPM['date_sql']           = date('Y-m-d H:i:s');                ## For insert SQL date
   $_MPM['date_days']          = date('w-d-m-Y');                    ## For display the complet date
   $_MPM['date_gettime']       = getdate(time());                    ## Current date

 # ------------------------------- BODY TAG HTML FOR THE JS ACTION  --------------------------------

   $_MPM['body_js']            = 'GroupStart();';                                      ## NAME FUNCTION FOR LAYER HELP MOUVE HIDDEN SHOW
   $_MPM['body_LAYER']         = ' onload="%s"';                                       ## FOR MOUV AND DISPLAY THE HELP
   $_MPM['body_SCROLLING']     = ' onload="AnchorForm();%s"';                          ## IF NECESSARY SCROLLING (OPERA)
   $_MPM['body_SIMPLE']        = ' onload="window.focus();%s"';                        ## IF SIMULATE FILE
   $_MPM['body_DOUBLE']        = ' onload="BodyDouble();" onunload="ClosePopup();"';   ## IF SIMULATE HAVE EFFECTED
   $_MPM['body_FOCUS']         = ' onload="BodyFocus();"';                             ## IF CALCULATE FILE
   $_MPM['body_POPULATE']      = ' onload="BeforePopulate();AnchorForm();"';           ## IF ACCOUNT FILE (MODE MODIF)
   $_MPM['body_NOTHING']       = '';                                                   ## NO OPTION IN THE BODY

# ------------------------------------- EXTERNAL URL (SOURCEFORGE) --------------------------------

   $_MPM['sf']                 = 'http://sourceforge.net/';                            ## Url Sourceforge
   $_MPM['sf-cgi']             = 'http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/';    ## Url Sourceforge
   $_MPM['sf-bugs']            = 'func=add&amp;group_id=46190&amp;atid=445350';        ## bugs parameter

   $_MPM['external_contrib']   = 'http://www.myphpmoney.net/lang.php';                 ## Url for lang contribute
   $_MPM['external_faq']       = $_MPM['sf-cgi'].'myphpmoney/myphpmoney-phplib/FAQ';   ## Url for the FAQ
   $_MPM['external_cvs']       = $_MPM['sf-cgi'].'myphpmoney/myphpmoney-phplib';       ## Url for the Souce CVS
   $_MPM['external_down']      = $_MPM['sf'].'project/showfiles.php?group_id=46190';   ## Url for the Download
   $_MPM['external_forum']     = $_MPM['sf'].'forum/forum.php?forum_id=151323';        ## Url for the Forum
   $_MPM['external_support']   = $_MPM['sf'].'projects/myphpmoney/';                   ## Url for the Project Support
   $_MPM['external_bugs']      = $_MPM['sf'].'tracker/?'.$_MPM['sf-bugs'];             ## Url for the Bugs

   $_MPM['my']                 = 'http://myphpmoney.ath.cx/UPDATE_MYPHPMONEY/UPDATE/'; ## Url Site for update
   $_MPM['external_rate']      = $_MPM['my'].'EXPORT/remote.xml';                      ## Url for the remote file Rate
   $_MPM['external_lang']      = $_MPM['my'].'LANGUAGE/';                              ## Url for the remote file add lang
   $_MPM['external_check']     = $_MPM['my'].'VERSION/version.txt';                    ## Url for check new applcation

   $_MPM['external_xhtml']     = "http://validator.w3.org/check?uri=%s";               ## Url for the xhtml validator
   $_MPM['external_css']       = "http://jigsaw.w3.org/css-validator/validator?uri=%s";## Url for the css validator

   $_MPM['external_mess']     .= '<form action="'.$_MPM['external_bugs'].'" method="post"><div class="centered">';
   $_MPM['external_mess']     .= '<input type="submit" value="SEND BUG REPORT" onclick="window.open(\''.$_MPM['external_bugs'].'\',\'_blank\',\'width=800,height=600\');return false;" />';
   $_MPM['external_mess']     .= '</div></form><div class="centerhr"><br /><div class="blockhr2"><hr /></div><br /></div>';

# ------------------------------------- COUNTRY ZONE EURO  ----------------------------------------

   ## In the order : Allemagne - Autriche - Belgique - Espagne - Finlande - France
   ##                Grce - Irlande - Italie - Luxembourg - Pays-Bas - Portugal
   $_MPM['zone_euro'] = array(5,16,22,63,73,74,82,110,113,130,166,173);

# -------------------------------------- INCLUDE VARIABLE  ----------------------------------------

   require $_MPM['dir_config'].''.$_MPM['file_var'];
