/**
 * $Id: migrate1.2.2.4-1.2.3.1.sql,v 1.3 2003/02/22 13:40:49 courou Exp $
 *
 * Author     : courou@users.sourceforge.net
 * Website    : http://allreponse.ath.cx
 *
 * Support    : http://sourceforge.net/projects/myphpmoney/
 * CVS        : http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/myphpmoney/
 *
 * 
 * UPGRADE NOTICE : If you're upgrading myphpmoney and want to keep your data
 * apply the migrate1.2.2.4-1.2.3.1.sql
 *
 *
 * UNIX :
 *
 * /bin/mysql mabase < my_file.sql 
 * or enventualy 
 * /bin/mysql --user=my_name --password=my_password my_database < my_file.sql 
 *
 *
 * WINDOWS :
 *
 * c:/mysql/bin/mysql mabase < my_file.sql 
 * or enventualy 
 * c:/mysql/bin/mysql --user=my_name --password=my_password my_database < my_file.sql 
 *
 *
 * MYSQL IMPORT (YOU MUST HAVE PRIVILEGE OR ROOT):
 *
 * LOAD DATA INFILE 'my_file.txt' INTO TABLE my_table
 * or enventualy 
 * LOAD DATA INFILE 'my_file.txt' INTO TABLE my_table FIELDS OPTIONALLY ENCLOSED BY '
 *
 *
 * ANOTHER DATABASE :
 *
 * Your must used your console for cut the file sql
 * 
 */

/*---------------------------------------------------------------------*/
/* Table : MPM_user                                                    */
/*---------------------------------------------------------------------*/

ALTER TABLE `MPM_user`  CHANGE 	`UTILISATEUR` 		`USERID` 	BIGINT(20) 	NOT NULL;
ALTER TABLE `MPM_user`  CHANGE  `NAME_UTILISATEUR` 	`LOGIN_NAME` 	VARCHAR(30)	NOT NULL;
ALTER TABLE `MPM_user`  CHANGE 	`VALIDE_PAYS` 		`COUNTRY_VAL` 	BLOB 		NOT NULL;
ALTER TABLE `MPM_user`  CHANGE 	`VALIDE_LANG` 		`LANG_VAL` 	BLOB 		NOT NULL;
ALTER TABLE `MPM_user`  CHANGE 	`GRAPHIQUE` 		`GRAPH` 	BLOB 		NOT NULL;
ALTER TABLE `MPM_user`  CHANGE 	`PREMIERE_VISITE` 	`VISIT`		DATETIME 	NOT NULL;
ALTER TABLE `MPM_user`  CHANGE 	`AVANT_DERNIERE_VISITE` `LASTVISIT2` 	DATETIME  	NOT NULL;
ALTER TABLE `MPM_user`  CHANGE 	`DERNIERE_VISITE` 	`LASTVISIT` 	DATETIME	NOT NULL; 

ALTER TABLE `MPM_user`         ADD 	`EMAIL` 			VARCHAR(30) 	NOT NULL 
AFTER `LASTVISIT`, 	       ADD 	`FIRSTNAME` 			VARCHAR(30) 	NOT NULL
AFTER `EMAIL`, 		       ADD 	`LASTNAME` 			VARCHAR(30) 	NOT NULL
AFTER `FIRSTNAME`, 	       ADD 	`OTHER` 			VARCHAR(30) 	NOT NULL 
AFTER `LASTNAME`;

/*---------------------------------------------------------------------*/
/* Table : MPM_third                                                   */
/*---------------------------------------------------------------------*/

ALTER TABLE `MPM_third` CHANGE 	`ID_TIERS` 	`THIRDID` 		BIGINT(20) 	NOT NULL;
ALTER TABLE `MPM_third` CHANGE 	`ID_CATEGORIE` 	`CATID` 		BIGINT(20) 	NOT NULL;
ALTER TABLE `MPM_third` CHANGE 	`UTILISATEUR` 	`USERID` 		BIGINT(20) 	NOT NULL;
ALTER TABLE `MPM_third` CHANGE 	`TIERS` 	`THIRD` 		BLOB 		NOT NULL;

/*---------------------------------------------------------------------*/
/* Table : MPM_part                                                    */
/*---------------------------------------------------------------------*/

ALTER TABLE `MPM_part` CHANGE 	`ID_CATEGORIE` `CATID` 			BIGINT(20) 	NOT NULL;
ALTER TABLE `MPM_part` CHANGE 	`UTILISATEUR`  `USERID` 		BIGINT(20) 	NOT NULL;
ALTER TABLE `MPM_part` CHANGE 	`CATEGORIE`    `CAT` 			BLOB 		NOT NULL;  

/*---------------------------------------------------------------------*/
/* Table : MPM_op                                                      */
/*---------------------------------------------------------------------*/

ALTER TABLE `MPM_operate` RENAME `MPM_op`;

ALTER TABLE `MPM_op` CHANGE 	`ID_COMPTE` 	`OPID`			BIGINT(20) 	NOT NULL; 
ALTER TABLE `MPM_op` CHANGE 	`NUMEROID` 	`NUMID`			BLOB 		NOT NULL; 
ALTER TABLE `MPM_op` CHANGE 	`VALIDE_OP` 	`VALID_OP` 		INTEGER(1) 	NOT NULL;
ALTER TABLE `MPM_op` CHANGE 	`UTILISATEUR` 	`USERID` 		BIGINT(20) 	NOT NULL; 
ALTER TABLE `MPM_op` CHANGE 	`CATEGORIE` 	`CAT` 			BIGINT(20) 	NOT NULL; 
ALTER TABLE `MPM_op` CHANGE 	`TIERS` 	`THIRD` 		BIGINT(20) 	NOT NULL; 
ALTER TABLE `MPM_op` CHANGE 	`COMMENTAIRES` 	`COMMENTS` 		BLOB 		NOT NULL; 
ALTER TABLE `MPM_op` CHANGE 	`DEPENSE` 	`OUT` 			BLOB 		NOT NULL; 
ALTER TABLE `MPM_op` CHANGE 	`RECETTE` 	`IMP` 			BLOB 		NOT NULL;
ALTER TABLE `MPM_op` CHANGE 	`COMPTES` 	`ACCOUNT` 		BLOB 		NOT NULL;
ALTER TABLE `MPM_op` CHANGE 	`SOLDES` 	`BALANCE` 		BLOB 		NOT NULL; 
ALTER TABLE `MPM_op` CHANGE 	`PERIODICITE` 	`PERIOD` 		INTEGER(1) 	NOT NULL;


ALTER TABLE `MPM_op` DROP INDEX `PK_MPM_operate`, ADD UNIQUE `PK_MPM_op` (`OPID`);  
ALTER TABLE `MPM_op` DROP INDEX `FK_MPM_operate`, ADD INDEX `FK_MPM_op` (`USERID`); 

/*---------------------------------------------------------------------*/
/* Table : MPM_acc                                                     */
/*---------------------------------------------------------------------*/

ALTER TABLE `MPM_account` RENAME `MPM_acct`; 

ALTER TABLE `MPM_acct` CHANGE 	`ID_DETAIL_COMPTE` 	`ACCOUNTID` 	BIGINT(20) 	NOT NULL;
ALTER TABLE `MPM_acct` CHANGE 	`UTILISATEUR` 		`USERID` 	BIGINT(20) 	NOT NULL;  
ALTER TABLE `MPM_acct` CHANGE 	`COMPTES` 		`ACCOUNT` 	BLOB 		NOT NULL; 
ALTER TABLE `MPM_acct` CHANGE 	`SOLDES` 		`BALANCE` 	BLOB 		NOT NULL; 

ALTER TABLE `MPM_acct` DROP INDEX `PK_MPM_account`, ADD UNIQUE `PK_MPM_acct` (`ACCOUNTID`);
ALTER TABLE `MPM_acct` DROP INDEX `FK_MPM_account`, ADD INDEX `FK_MPM_acct` (`USERID`); 
